# Git Scripts

Scripts that extend git and make our git workflow a bit easier.

## Installation

Clone this repository and add the `bin` subdir to your path.

## Usage

```
# List of MRs that have been merged into develop but not yet into master
# Equivalent to: $ git log-mr origin/master..origin/develop
$ git unreleased

# Gives a log of MRs
$ git log-mr [<revision range>]

# Lists local branches and their merge status, ordered by last commit date
$ git lastbranch [--merged <rev>]

# Deletes local branches that have been merged.
# Keeps master, develop, and the current branch by default.
$ git delete-merged [--merged <rev>] [--keep <regex of branches to keep>]

# Automatically merges a branch, creates a tag, and pushes to remote.
$ git automerge [--source <branch>] [--target <branch>] [--format <date format>]
```
